DepthXMLStreamReader (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.staxutils, class: DepthXMLStreamReader

Package org.apache.cxf.staxutils

# Class DepthXMLStreamReader

java.lang.Object
org.apache.cxf.staxutils.DepthXMLStreamReader

All Implemented Interfaces:
  `XMLStreamConstants`, `XMLStreamReader`

Direct Known Subclasses:
  `DepthRestrictingStreamReader`, `FragmentStreamReader`, `InTransformReader`, `PartialXMLStreamReader`

public class DepthXMLStreamReader extends Object implements XMLStreamReader

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected XMLStreamReader`
  `reader`

  ### Fields inherited from interface javax.xml.stream.XMLStreamConstants

  `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DepthXMLStreamReader(XMLStreamReader r)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `boolean`
  `equals(Object arg0)`
  `int`
  `getAttributeCount()`
  `String`
  `getAttributeLocalName(int arg0)`
  `QName`
  `getAttributeName(int arg0)`
  `String`
  `getAttributeNamespace(int arg0)`
  `String`
  `getAttributePrefix(int arg0)`
  `String`
  `getAttributeType(int arg0)`
  `String`
  `getAttributeValue(int arg0)`
  `String`
  `getAttributeValue(String namespace, String localName)`
  `String`
  `getCharacterEncodingScheme()`
  `int`
  `getDepth()`
  `String`
  `getElementText()`
  `String`
  `getEncoding()`
  `int`
  `getEventType()`
  `String`
  `getLocalName()`
  `Location`
  `getLocation()`
  `QName`
  `getName()`
  `NamespaceContext`
  `getNamespaceContext()`
  `int`
  `getNamespaceCount()`
  `String`
  `getNamespacePrefix(int arg0)`
  `String`
  `getNamespaceURI()`
  `String`
  `getNamespaceURI(int arg0)`
  `String`
  `getNamespaceURI(String arg0)`
  `String`
  `getPIData()`
  `String`
  `getPITarget()`
  `String`
  `getPrefix()`
  `Object`
  `getProperty(String name)`
  `XMLStreamReader`
  `getReader()`
  `String`
  `getText()`
  `char[]`
  `getTextCharacters()`
  `int`
  `getTextCharacters(int arg0, char[] arg1, int arg2, int arg3)`
  `int`
  `getTextLength()`
  `int`
  `getTextStart()`
  `String`
  `getVersion()`
  `int`
  `hashCode()`
  `boolean`
  `hasName()`
  `boolean`
  `hasNext()`
  `boolean`
  `hasText()`
  `boolean`
  `isAttributeSpecified(int arg0)`
  `boolean`
  `isCharacters()`
  `boolean`
  `isEndElement()`
  `boolean`
  `isStandalone()`
  `boolean`
  `isStartElement()`
  `boolean`
  `isWhiteSpace()`
  `int`
  `next()`
  `int`
  `nextTag()`
  `void`
  `require(int arg0, String arg1, String arg2)`
  `boolean`
  `standaloneSet()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### reader

    protected XMLStreamReader reader

- ## Constructor Details

  - ### DepthXMLStreamReader

    public DepthXMLStreamReader(XMLStreamReader r)

- ## Method Details

  - ### getReader

    public XMLStreamReader getReader()

  - ### getDepth

    public int getDepth()

  - ### close

    public void close() throws XMLStreamException
    Specified by:
      `close` in interface `XMLStreamReader`
    Throws:
      `XMLStreamException`

  - ### getAttributeCount

    public int getAttributeCount()
    Specified by:
      `getAttributeCount` in interface `XMLStreamReader`

  - ### getAttributeLocalName

    public String getAttributeLocalName(int arg0)
    Specified by:
      `getAttributeLocalName` in interface `XMLStreamReader`

  - ### getAttributeName

    public QName getAttributeName(int arg0)
    Specified by:
      `getAttributeName` in interface `XMLStreamReader`

  - ### getAttributeNamespace

    public String getAttributeNamespace(int arg0)
    Specified by:
      `getAttributeNamespace` in interface `XMLStreamReader`

  - ### getAttributePrefix

    public String getAttributePrefix(int arg0)
    Specified by:
      `getAttributePrefix` in interface `XMLStreamReader`

  - ### getAttributeType

    public String getAttributeType(int arg0)
    Specified by:
      `getAttributeType` in interface `XMLStreamReader`

  - ### getAttributeValue

    public String getAttributeValue(int arg0)
    Specified by:
      `getAttributeValue` in interface `XMLStreamReader`

  - ### getAttributeValue

    public String getAttributeValue(String namespace, String localName)
    Specified by:
      `getAttributeValue` in interface `XMLStreamReader`

  - ### getCharacterEncodingScheme

    public String getCharacterEncodingScheme()
    Specified by:
      `getCharacterEncodingScheme` in interface `XMLStreamReader`

  - ### getElementText

    public String getElementText() throws XMLStreamException
    Specified by:
      `getElementText` in interface `XMLStreamReader`
    Throws:
      `XMLStreamException`

  - ### getEncoding

    public String getEncoding()
    Specified by:
      `getEncoding` in interface `XMLStreamReader`

  - ### getEventType

    public int getEventType()
    Specified by:
      `getEventType` in interface `XMLStreamReader`

  - ### getLocalName

    public String getLocalName()
    Specified by:
      `getLocalName` in interface `XMLStreamReader`

  - ### getLocation

    public Location getLocation()
    Specified by:
      `getLocation` in interface `XMLStreamReader`

  - ### getName

    public QName getName()
    Specified by:
      `getName` in interface `XMLStreamReader`

  - ### getNamespaceContext

    public NamespaceContext getNamespaceContext()
    Specified by:
      `getNamespaceContext` in interface `XMLStreamReader`

  - ### getNamespaceCount

    public int getNamespaceCount()
    Specified by:
      `getNamespaceCount` in interface `XMLStreamReader`

  - ### getNamespacePrefix

    public String getNamespacePrefix(int arg0)
    Specified by:
      `getNamespacePrefix` in interface `XMLStreamReader`

  - ### getNamespaceURI

    public String getNamespaceURI()
    Specified by:
      `getNamespaceURI` in interface `XMLStreamReader`

  - ### getNamespaceURI

    public String getNamespaceURI(int arg0)
    Specified by:
      `getNamespaceURI` in interface `XMLStreamReader`

  - ### getNamespaceURI

    public String getNamespaceURI(String arg0)
    Specified by:
      `getNamespaceURI` in interface `XMLStreamReader`

  - ### getPIData

    public String getPIData()
    Specified by:
      `getPIData` in interface `XMLStreamReader`

  - ### getPITarget

    public String getPITarget()
    Specified by:
      `getPITarget` in interface `XMLStreamReader`

  - ### getPrefix

    public String getPrefix()
    Specified by:
      `getPrefix` in interface `XMLStreamReader`

  - ### getProperty

    public Object getProperty(String name)
    Specified by:
      `getProperty` in interface `XMLStreamReader`

  - ### getText

    public String getText()
    Specified by:
      `getText` in interface `XMLStreamReader`

  - ### getTextCharacters

    public char[] getTextCharacters()
    Specified by:
      `getTextCharacters` in interface `XMLStreamReader`

  - ### getTextCharacters

    public int getTextCharacters(int arg0, char[] arg1, int arg2, int arg3) throws XMLStreamException
    Specified by:
      `getTextCharacters` in interface `XMLStreamReader`
    Throws:
      `XMLStreamException`

  - ### getTextLength

    public int getTextLength()
    Specified by:
      `getTextLength` in interface `XMLStreamReader`

  - ### getTextStart

    public int getTextStart()
    Specified by:
      `getTextStart` in interface `XMLStreamReader`

  - ### getVersion

    public String getVersion()
    Specified by:
      `getVersion` in interface `XMLStreamReader`

  - ### hasName

    public boolean hasName()
    Specified by:
      `hasName` in interface `XMLStreamReader`

  - ### hasNext

    public boolean hasNext() throws XMLStreamException
    Specified by:
      `hasNext` in interface `XMLStreamReader`
    Throws:
      `XMLStreamException`

  - ### hasText

    public boolean hasText()
    Specified by:
      `hasText` in interface `XMLStreamReader`

  - ### isAttributeSpecified

    public boolean isAttributeSpecified(int arg0)
    Specified by:
      `isAttributeSpecified` in interface `XMLStreamReader`

  - ### isCharacters

    public boolean isCharacters()
    Specified by:
      `isCharacters` in interface `XMLStreamReader`

  - ### isEndElement

    public boolean isEndElement()
    Specified by:
      `isEndElement` in interface `XMLStreamReader`

  - ### isStandalone

    public boolean isStandalone()
    Specified by:
      `isStandalone` in interface `XMLStreamReader`

  - ### isStartElement

    public boolean isStartElement()
    Specified by:
      `isStartElement` in interface `XMLStreamReader`

  - ### isWhiteSpace

    public boolean isWhiteSpace()
    Specified by:
      `isWhiteSpace` in interface `XMLStreamReader`

  - ### next

    public int next() throws XMLStreamException
    Specified by:
      `next` in interface `XMLStreamReader`
    Throws:
      `XMLStreamException`

  - ### nextTag

    public int nextTag() throws XMLStreamException
    Specified by:
      `nextTag` in interface `XMLStreamReader`
    Throws:
      `XMLStreamException`

  - ### require

    public void require(int arg0, String arg1, String arg2) throws XMLStreamException
    Specified by:
      `require` in interface `XMLStreamReader`
    Throws:
      `XMLStreamException`

  - ### standaloneSet

    public boolean standaloneSet()
    Specified by:
      `standaloneSet` in interface `XMLStreamReader`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object arg0)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`